/*
 * This file is part of Barista.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Barista is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Barista is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import fr.x9c.barista.api.API;
import fr.x9c.barista.api.BaristaException;
import fr.x9c.barista.api.ClassPath;
import fr.x9c.barista.api.Disassembler;

public final class Source {

    public static void main(final String[] args) {
        Disassembler.disassemble("Source",
                                 new ClassPath("."),
                                 (java.io.OutputStream) System.out);
        try {
            Disassembler.disassemble("NotFound",
                                     new ClassPath("."),
                                     (java.io.OutputStream) System.out);
        } catch (final BaristaException be) {
            System.out.println("ERROR: " + be.toString());
        }
    }

}
